RECINS(1)

NOM
recins – Insertion d’enregistrements dans un recfile

SYNOPSIS
recins [OPTION]... [-t TYPE] [-n NUMÉRO | -e EXPR_ENREG | -q STR | -m NOMBRE] [(-f NOM -v CHAINE) | -r DONNÉES_ENREG]... [FICHIER]

DESCRIPTION
Insertion de nouveaux enregistrements dans une base de données rec.

-f, --field=CHAINE
    Nom de champ, suivi normalement de l’option -v.

-v, --value=CHAINE
    Valeur de champ, précédée normalement de l’option -f.

-r, --record=CHAINE
    Enregistrement à insérer dans le fichier.

--force
    Insertion de l’enregistrement même en cas de violation des restrictions d’enregistrement.

--no-external
    Ne pas utiliser de descripteurs externes.

--no-auto
    Ne pas insérer de champs auto-générés.

--verbose
    Fournir un rapport détaillé en cas d’échec de vérification d’intégrité.

-s, --password=CHAINE
    Chiffrer les champs confidentiels avec le mot de passe indiqué.

--help
    Afficher un message d'aide puis quitter.

--version
    Afficher la version du programme puis quitter.

  Options de sélection d’enregistrements :

-i, --case-insensitive
    Rendre les chaines indépendantes de la casse dans les expressions de sélection.

-t, --type=TYPE
    Agir seulement sur les enregistrements du type indiqué.

-e, --expression=EXPR_ENREG
    Expression pour la sélection.

-q, --quick=CHAINE
    Sélection des enregistrements avec des champs contenant la chaine.

-n, --number=NUMÉRO,...
    Sélection d’enregistrements particuliers par position et avec intervalles.

-m, --random=NOMBRE
    Sélection du nombre indiqué d’enregistrements aléatoires.

Si aucun FICHIER n’est indiqué, cette commande agit comme un filtre, prenant les données sur l’entrée standard et écrivant le résultat sur la sortie standard.

AUTEUR
Écrit par Jose E. Marchesi.

SIGNALER DES BOGUES
Signaler toute erreur à bug-recutils@gnu.org
Page d'accueil de GNU recutils : <https://www.gnu.org/software/recutils/>
Aide générale pour les logiciels GNU : <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2010-2020 Jose E. Marchesi. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de recins est disponible dans un manuel Texinfo. Si les programmes info et recins sont correctement installés, la commande

    info recutils

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.